emacs22 と wnn7-elisp パッケージ

Debian sid に emacs22 (とその GTK版emacs22-gtk) が降りてきた。さっそく入れようと思ったがいくつかのパッケージが対応していない。特に wnn7-elisp は Debian 公式のものではなく、商用(しかも5,6年も前)なので対応パッケージが出るとも思われない。自分で修正することとした。
--- wnn7-elisp.orig/DEBIAN/control	2002-05-22 18:42:05.000000000 +0900
+++ wnn7-elisp/DEBIAN/control	2007-07-09 15:02:36.000000000 +0900
@@ -1,13 +1,13 @@
 Priority: extra
 Architecture: all
-Depends: emacs20 | emacs20-dl | xemacs21-mule | xemacs21-mule-canna-wnn
+Depends: emacs22 | emacs-snapshot | emacs21 | emacs20 | emacs20-dl | xemacs21-mule | xemacs21-mule-canna-wnn
 Installed-Size: 587
 Maintainer: OMRON SOFTWARE Co.,Ltd. <wnn-info@omronsoft.co.jp>
 Description: A package of Japanese input method 'Wnn7' elisp client.
diff -u -r wnn7-elisp.orig/usr/lib/emacsen-common/packages/install/wnn7-elisp wnn7-elisp/usr/lib/emacsen-common/packages/install/wnn7-elisp
--- wnn7-elisp.orig/usr/lib/emacsen-common/packages/install/wnn7-elisp	2002-05-22 18:41:59.000000000 +0900
+++ wnn7-elisp/usr/lib/emacsen-common/packages/install/wnn7-elisp	2007-07-10 21:50:47.818091867 +0900
@@ -37,7 +37,7 @@
     emacs)
     ;;
 
-    emacs20|xemacs21)
+    emacs22|emacs-snapshot|emacs21|emacs20|xemacs21)
     install -m 755 -d ${ELCDIR}
     (cd ${ELDIR}
 
diff -u -r wnn7-elisp.orig/usr/lib/emacsen-common/packages/remove/wnn7-elisp wnn7-elisp/usr/lib/emacsen-common/packages/remove/wnn7-elisp
--- wnn7-elisp.orig/usr/lib/emacsen-common/packages/remove/wnn7-elisp	2002-05-22 18:41:59.000000000 +0900
+++ wnn7-elisp/usr/lib/emacsen-common/packages/remove/wnn7-elisp	2007-07-10 21:51:17.472192301 +0900
@@ -10,7 +10,7 @@
 case "${FLAVOR}" in
     emacs)
     ;;
-    emacs20|xemacs21)
+    emacs22|emacs-snapshot|emacs21|emacs20|xemacs21)
     echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
     rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
     rm -f ${STARTDIR}/50${STARTFILE}*;
wnn7-elisp の他にも auctex, gnus も同様に修正すればいますぐ使える。これらは公式パッケージなのでしばらく待てば emacs22 対応版が出るだろう。

“emacs22 と wnn7-elisp パッケージ” への 1 件のフィードバック

  1. Debian lenny (以降) で Wnn7 を使う

    debian lenny(やsid)に、商用の古い日本語入力システム Wnn7 をインストールした。各パッケージで依存関係を書き直すなどして、無事動かすことができた。
    ……

    返信

半月記 へ返信する コメントをキャンセル